# Method: cases.attachments.get

Retrieve an attachment associated with a support case.

EXAMPLES:

cURL:

    attachment="projects/some-project/cases/23598314/attachments/0684M00000P3h1fQAB"
    curl \
      --header "Authorization: Bearer $(gcloud auth print-access-token)" \
      "https://cloudsupport.googleapis.com/v2/$attachment"

Python:

    import googleapiclient.discovery

    apiVersion = "v2"
    supportApiService = googleapiclient.discovery.build(
        serviceName="cloudsupport",
        version=apiVersion,
        discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
    )
    request = (
        supportApiService.cases()
        .attachments()
        .get(name="projects/some-project/cases/43595344/attachments/0684M00000P3h1fQAB")
    )
    print(request.execute())

### HTTP request

`GET https://cloudsupport.googleapis.com/v2/{name=*/*/cases/*/attachments/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the attachment to get. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/support/docs/reference/rest/v2/cases.attachments#Attachment`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsupport`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).